com.fasterxml.jackson.annotation

## Interface JacksonAnnotationValue<A extends java.lang.annotation.Annotation>

- All Known Implementing Classes:
    JsonFormat.Value, JsonIgnoreProperties.Value, JsonInclude.Value

      public interface JacksonAnnotationValue<A extends java.lang.annotation.Annotation>

  Marker interface used by value classes like `JsonFormat.Value` that are used to contain information from one of Jackson annotations, and can be directly instantiated from those annotations, as well as programmatically constructed and possibly merged. The reason for such marker is to allow generic handling of some of the annotations, as well as to allow easier injection of configuration from sources other than annotations.
  Since:
    2.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<A>` | `valueFor()` Introspection method that may be used to find actual annotation that may be used as the source for value instance.

- - ### Method Detail

    - #### valueFor

          java.lang.Class<A> valueFor()

      Introspection method that may be used to find actual annotation that may be used as the source for value instance.